[jhb_airlines] Re: Missing in action

  • From: Alex Barrett <alex@xxxxxxxxxxxxxxxxxxxxxxx>
  • To: jhb_airlines@xxxxxxxxxxxxx
  • Date: Mon, 08 Oct 2007 11:47:41 +0100

One thing that I have come to respect the FS Developers (ACES) about is their relationships with the 3rd party developers, if you email them, then very quickly you normally get a reply from the very guy who coded the aspect you are asking about, or at least is intimately knowledgable about it.

There have been some communications to developers recently, and in online blogs, from ACES, about these rumours of no backwards compatability.

First of all, SP2 will be split into two, one will be DX9 and one will be DX10 COMPATIBLE, not pure DX10,but compatible with some of its features, such as water reflections etc etc.

From my understanding: (liable to change, blah blah etc)

The DX9/XP SP2 will be fully compatibible with anything currently working in FSX
The DX10/Vista SP2 will not be compabible with SOME older BGL/.mdl files.

Now some people have had a rather nasty reaction to the above (I.E the Vista users I know ;) ) BUT what they are talking of dropping is really old code, and it is entirely the developers faults.

At the moment, the easiest ways of programming some things (for SOME developers) like animated jetways, dynamically activated lighting etc etc is to use code from FS5! I'm not joking, I'll guarantee you that all of us with a good amount of Addon Scenery installed is using some FS5 code in there somewhere.

Why should we really expect FS10 to support something 5 generations old? especially considering the leap in computer technology we've had since 1992!

FSX provides a very easy to use (for ANYONE) SDK, the problem is developers set in their ways, refuse to migrate to new ways of doing things, Still programming in pre FS2004 methods simply isn't acceptable for someone making something for FSX. It isn't even acceptable for FS9 add ons.

ACES have said that, currently, their intention for FS11 is to cut off ALL backward compatability for anything made not fully to the FSX SP2 SDK standard, and for once I wholeheartedly agree to it. Because it might mean a big step forward in a direction we should have gone 5 years ago!

Anyway, if you are a XP user, don't let SP2 bother you, if its Vista and/or DX10 you are after, then be prepared for sacrafices, however don't blame ACES. Because if the addon you are using was made in the past 5 years, then there is no excuse at all for it not to work.

God I do babble on sometimes!

Alex





FrankTurley@xxxxxxx wrote:
In a message dated 07/10/2007 21:03:17 GMT Daylight Time, gwinsk@xxxxxxx writes:
Just to give you something to do, there's an FSX version of Headcorn on
the usual sites. It's by Len Hickman and looks OK. The FSX scenery list
is growing. More teeth gnashing from the GS camp?

Gerry Winskill
Gerry,
 
You didn't hear this from me, but rumour has it that the new stuff for FSX says goodbye to backwards compatibility with a number of the older scenery formats. I suspect a lot of the scenery which we are now using won't work with SP2.
 
Frank T.



Other related posts: